%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_minor 16

%global py_major 3.9

%global python_major python%{py_major}

%global pkgname msgpack 

%global meta_package python3-%{pkgname}

%global python3_sitearch64 %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")

Name:           %{python_major}-%{pkgname}
Version:        0.6.2 
Release:        2
Summary:        A Python MessagePack (de)serializer 
License:        ASL 2.0 
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/m/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:      ppc 


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}


%description
MessagePack is a fast, compact binary serialization format, suitable
for data similar to JSON.
This package provides CPython bindings for reading and writing
MessagePack data.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}


%build
export PATH=/opt/freeware/bin:$PATH
%{python_major} setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} setup.py install --root %{buildroot}


%check
%if %{with dotests}

#python3 -m venv python_venv
#. ./python_venv/bin/activate
#pip3 install pytest
#pip3 install hypothesis
#ulimit -d unlimited
#ulimit -n unlimited
#ulimit -m unlimited
# ulimit -f unlimited
#( python runtests.py -m 'full' -v || true )
#deactivate

%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
#%license is not recogized by RPM 3.0.5
%license COPYING 
%doc README.rst
%{python3_sitearch64}/*

%files -n %{meta_package}
%defattr(-,root,system,-)

%changelog
* Tue Jan 17 2023 Sangeetha Bandi <sanbandi@in.ibm.com> - 0.6.2-1
- msgpack for python3.9

* Thu Jan 23 2020 Ashwini Chandrappa <ashwic22@in.ibm.com> - 0.6.2
-Built with python3 and updated to latest version

* Wed Sep 20 2017 Ravi Hirekurabar<rhirekur@in.ibm.com> - 0.4.8 -1
- Built with  bmaxdata not set for 64 bit compilation

* Fri May 19 2017 Michael Wilson <michael.a.wilson@atos.com> - 0.4.8-1
- Initial version 0.4.8

